/* Tests d'egalite entre 2 Position2D           */

public class TestEgalitePosition2DEnConsole {

/* Type agrege de stockage des informations     */
/* relatives a une position en deux dimensions  */

  static class Position2D {
    double x = 0.0;
    double y = 0.0; };

/* Programme principal                          */

  public static void main(String [] args) {
    Console.setTitle("TestEgalitePosition2D");
    Position2D p1 = new Position2D();
    Position2D p2 = new Position2D();
    boolean egal;
    Console.afficherln("Contenus des variables");
    Console.afficherln("p1 : ",p1.x," ",p1.y);
    Console.afficherln("p2 : ",p2.x," ",p2.y);
    Console.sautDeLigne();
    Console.afficherln("Adresses des variables");
    Console.afficherln("p1 : ",p1);
    Console.afficherln("p2 : ",p2);
    Console.sautDeLigne();
    egal = (p1 == p2);
    Console.afficherln("Test d'egalite direct           : ",egal);
    egal = ( ( p1.x == p2.x ) && ( p1.y == p2.y ) );
    Console.afficherln("Test d'egalite champ pour champ : ",egal);
  }
}